# Uses of Class
javassist.bytecode.annotation.Annotation

Packages that use Annotation
Package
Description
javassist.bytecode
Bytecode-level API.
javassist.bytecode.annotation
Bytecode-level Annotations API.

## Uses of Annotation in javassist.bytecode

Methods in javassist.bytecode that return Annotation
Modifier and Type
Method
Description
`Annotation`
AnnotationsAttribute.`getAnnotation(String type)`
Parses the annotations and returns a data structure representing the annotation with the specified type.
`Annotation[]`
AnnotationsAttribute.`getAnnotations()`
Parses the annotations and returns a data structure representing that parsed annotations.
`Annotation[][]`
ParameterAnnotationsAttribute.`getAnnotations()`
Parses the annotations and returns a data structure representing that parsed annotations.
Methods in javassist.bytecode with parameters of type Annotation
Modifier and Type
Method
Description
`void`
AnnotationsAttribute.`addAnnotation(Annotation annotation)`
Adds an annotation.
`void`
AnnotationsAttribute.`setAnnotation(Annotation annotation)`
Changes the annotations.
`void`
AnnotationsAttribute.`setAnnotations(Annotation[] annotations)`
Changes the annotations represented by this object according to the given array of `Annotation` objects.
`void`
ParameterAnnotationsAttribute.`setAnnotations(Annotation[][] params)`
Changes the annotations represented by this object according to the given array of `Annotation` objects.

## Uses of Annotation in javassist.bytecode.annotation

Methods in javassist.bytecode.annotation that return Annotation
Modifier and Type
Method
Description
`Annotation`
AnnotationImpl.`getAnnotation()`
Obtains the internal data structure representing the annotation.
`Annotation`
AnnotationMemberValue.`getValue()`
Obtains the value.
Methods in javassist.bytecode.annotation with parameters of type Annotation
Modifier and Type
Method
Description
`static Object`
AnnotationImpl.`make(ClassLoader cl, Class<?> clazz, ClassPool cp, Annotation anon)`
Constructs an annotation object.
`void`
AnnotationMemberValue.`setValue(Annotation newValue)`
Sets the value of this member.
Constructors in javassist.bytecode.annotation with parameters of type Annotation
Modifier
Constructor
Description
``
`AnnotationMemberValue(Annotation a, ConstPool cp)`
Constructs an annotation member.